summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/quota/quota.SlackBuild3
-rw-r--r--source/a/quota/quotad.fix.high.cpu.usage.diff35
-rwxr-xr-xsource/x/libXcm/libXcm.SlackBuild108
-rw-r--r--source/x/libXcm/libXcm.url1
-rw-r--r--source/x/libXcm/slack-desc (renamed from source/x/x11/slack-desc/libXcm)0
-rw-r--r--source/x/x11/build/libXcm1
-rw-r--r--source/x/x11/build/xcm1
-rw-r--r--source/x/x11/modularize2
-rw-r--r--source/x/xcm/slack-desc (renamed from source/x/x11/slack-desc/xcm)4
-rwxr-xr-xsource/x/xcm/xcm.SlackBuild110
-rw-r--r--source/x/xcm/xcm.udev.rules.diff17
-rw-r--r--source/x/xcm/xcm.url1
12 files changed, 276 insertions, 7 deletions
diff --git a/source/a/quota/quota.SlackBuild b/source/a/quota/quota.SlackBuild
index ad67fc30d..ee7ed2c97 100755
--- a/source/a/quota/quota.SlackBuild
+++ b/source/a/quota/quota.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=quota
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,6 +85,7 @@ tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
zcat $CWD/quota.lwrap.needs.lnsl.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/quotad.fix.high.cpu.usage.diff.gz | patch -p1 -l --verbose || exit 1
autoreconf -vif
diff --git a/source/a/quota/quotad.fix.high.cpu.usage.diff b/source/a/quota/quotad.fix.high.cpu.usage.diff
new file mode 100644
index 000000000..5dfafc9fd
--- /dev/null
+++ b/source/a/quota/quotad.fix.high.cpu.usage.diff
@@ -0,0 +1,35 @@
+diff -up quota-4.04/svc_socket.c.orig quota-4.04/svc_socket.c
+--- quota-4.04/svc_socket.c.orig 2017-09-05 10:04:16.000000000 -0400
++++ quota-4.04/svc_socket.c 2018-05-12 14:46:44.813388914 -0400
+@@ -118,6 +118,15 @@ static int svc_create_sock(struct addrin
+ return -1;
+ }
+
++ if (ai->ai_family == AF_INET6) {
++ if (setsockopt(fd, IPPROTO_IPV6, IPV6_V6ONLY,
++ &optval, sizeof(optval)) < 0) {
++ errstr(_("Cannot set ipv6 socket options: %s\n"), strerror(errno));
++ close(fd);
++ return -1;
++ }
++ }
++
+ if (setsockopt(fd, SOL_SOCKET, SO_REUSEADDR, &optval, sizeof(optval)) < 0) {
+ errstr(_("Cannot set socket options: %s\n"), strerror(errno));
+ close(fd);
+@@ -129,6 +138,15 @@ static int svc_create_sock(struct addrin
+ close(fd);
+ return -1;
+ }
++
++ if (ai->ai_protocol == IPPROTO_TCP) {
++ if (listen(fd, SOMAXCONN) < 0) {
++ errstr(_("Cannot listen to address: %s\n"), strerror(errno));
++ close(fd);
++ return -1;
++ }
++ }
++
+ return fd;
+ }
+
diff --git a/source/x/libXcm/libXcm.SlackBuild b/source/x/libXcm/libXcm.SlackBuild
new file mode 100755
index 000000000..2630f2e68
--- /dev/null
+++ b/source/x/libXcm/libXcm.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/bash
+
+# Slackware build script for libevdev
+
+# Copyright 2014 Robby Workman, Northport, Alabama, USA
+# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=libXcm
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --build=$ARCH-slackware-linux || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a AUTHORS* COPYING* ChangeLog* README* docs/* $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/x/libXcm/libXcm.url b/source/x/libXcm/libXcm.url
new file mode 100644
index 000000000..38e73951d
--- /dev/null
+++ b/source/x/libXcm/libXcm.url
@@ -0,0 +1 @@
+https://github.com/oyranos-cms/libxcm/releases
diff --git a/source/x/x11/slack-desc/libXcm b/source/x/libXcm/slack-desc
index 7b8edff1e..7b8edff1e 100644
--- a/source/x/x11/slack-desc/libXcm
+++ b/source/x/libXcm/slack-desc
diff --git a/source/x/x11/build/libXcm b/source/x/x11/build/libXcm
deleted file mode 100644
index 00750edc0..000000000
--- a/source/x/x11/build/libXcm
+++ /dev/null
@@ -1 +0,0 @@
-3
diff --git a/source/x/x11/build/xcm b/source/x/x11/build/xcm
deleted file mode 100644
index 00750edc0..000000000
--- a/source/x/x11/build/xcm
+++ /dev/null
@@ -1 +0,0 @@
-3
diff --git a/source/x/x11/modularize b/source/x/x11/modularize
index 35ae0636d..10d27a5b5 100644
--- a/source/x/x11/modularize
+++ b/source/x/x11/modularize
@@ -75,7 +75,6 @@ libXScrnSaver
libXau
libXaw
libXaw3d
-libXcm
libXcomposite
libXcursor
libXdamage
@@ -153,7 +152,6 @@ xcb-util-renderutil
xcb-util-wm
xclipboard
xclock
-xcm
xcmiscproto
xcmsdb
xcompmgr
diff --git a/source/x/x11/slack-desc/xcm b/source/x/xcm/slack-desc
index d7ba58362..517b6a451 100644
--- a/source/x/x11/slack-desc/xcm
+++ b/source/x/xcm/slack-desc
@@ -8,10 +8,10 @@
|-----handy-ruler------------------------------------------------------|
xcm: xcm (X color management tools)
xcm:
-xcm: Tools based on libXcm, a library for colour management on X.
+xcm: Tools based on libXcm, a library for color management on X.
xcm: xcmddc requests EDID from a monitor over the i2c bus.
xcm: xcmedid is for parsing EDID data blocks.
-xcm: xcmevents observes X11 colour management events.
+xcm: xcmevents observes X11 color management events.
xcm:
xcm:
xcm:
diff --git a/source/x/xcm/xcm.SlackBuild b/source/x/xcm/xcm.SlackBuild
new file mode 100755
index 000000000..472e5b285
--- /dev/null
+++ b/source/x/xcm/xcm.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for libevdev
+
+# Copyright 2014 Robby Workman, Northport, Alabama, USA
+# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=xcm
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+zcat $CWD/xcm.udev.rules.diff.gz | patch -p1 --verbose || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --build=$ARCH-slackware-linux || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a AUTHORS* COPYING* ChangeLog* README* docs/* $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/x/xcm/xcm.udev.rules.diff b/source/x/xcm/xcm.udev.rules.diff
new file mode 100644
index 000000000..1a0c1b954
--- /dev/null
+++ b/source/x/xcm/xcm.udev.rules.diff
@@ -0,0 +1,17 @@
+--- ./scripts/90-xcm-i2c.rules.orig 2016-12-09 15:50:46.000000000 -0600
++++ ./scripts/90-xcm-i2c.rules 2018-11-11 15:25:36.438669935 -0600
+@@ -1,8 +1,11 @@
+ # load the device node kernel module
+-SUBSYSTEM=="i2c-adapter", ACTION=="add", RUN+="/sbin/modprobe i2c-dev"
++#SUBSYSTEM=="i2c-adapter", ACTION=="add", RUN+="/sbin/modprobe i2c-dev"
+
+-# openSUSE_11.3 preferes:
+-SUBSYSTEM=="i2c", RUN+="/sbin/modprobe -bv i2c-dev"
++# openSUSE_11.3 prefers:
++#SUBSYSTEM=="i2c", RUN+="/sbin/modprobe -bv i2c-dev"
++
++# Here's what Slackware uses:
++SUBSYSTEM=="i2c", RUN+="/sbin/modprobe -b i2c-dev"
+
+ # match only DDC devices
+ KERNEL=="i2c-[0-9]*", ACTION=="add", PROGRAM=="/usr/bin/xcmddc --i2c /dev/%k --identify", RESULT=="0", GROUP="video", MODE="0660"
diff --git a/source/x/xcm/xcm.url b/source/x/xcm/xcm.url
new file mode 100644
index 000000000..426eb135d
--- /dev/null
+++ b/source/x/xcm/xcm.url
@@ -0,0 +1 @@
+https://github.com/oyranos-cms/xcm/releases